\section{Métodos numéricos}

\begin{frame}
	\frametitle{Métodos numéricos}
	\begin{block}{\textit{Toolbox} de MATLAB}
	\begin{itemize}
		\item \textit{Solver} \texttt{fmincon}
	\end{itemize}
	\begin{equation*}
	\min_x f(x) \text{ tal que }
	\begin{cases}
	c(x) \leq 0
	\\
	ceq(x) = 0
	\\
	A \cdot x \leq b
	\\
	Aeq \cdot x = beq
	\\
	lb \leq x \leq ub
	\end{cases}
	\end{equation*}
	\begin{itemize}
		\item Algoritmo \textit{Interior Point}.
	\end{itemize}
	\end{block}
\end{frame}

\begin{frame}
	\frametitle{Métodos numéricos}
	\begin{block}{Elementos \texttt{fmincon}}
		\begin{itemize}
			\item $lb = (0,0,0,0,0,0)$
			
			\item $A\cdot x = b$:
			\begin{equation*}
				\begin{array}{lll}
				a_{1i} &= -f_i, &i = 1,\dots,n,
				\\
				a_{ji} &= 0,  &j = 2,\dots,n, \quad i = 1,\dots,n,
				\\
				b_1 &= -f_0, & 
				\\
				b_j &= 0, &j = 2,\dots,n
				\end{array}
			\end{equation*}
			
			\item $\displaystyle 
			f(x) 
			= 
			\omega_0 \sum_{i=1}^{n} x_i \frac{p_i}{p_{\text{máx}}}
			+
			\omega_1 \sum_{i=1}^{n} x_i \frac{w_i}{w_{\text{máx}}}
			+
			B(\mathbf{x})$
		\end{itemize}
	\end{block}
\end{frame}

\begin{frame}
	\frametitle{Métodos numéricos}
	\begin{block}{\textit{Interior Point}}
		\begin{itemize}
			\item Parte de
			\begin{equation*}
				\min_x f(x) \text{ tal que }
				\begin{cases}
				g(x) = 0
				\\
				h(x) \leq 0
				\end{cases}
			\end{equation*}
			\item Para resolver
			\begin{equation*}
				\min_x f_\mu(x) = \min_x f(x) - \mu\sum_{i} \ln(s_i) \text{ tal que }
				\begin{cases}
				g(x) = 0
				\\
				h(x) + s = 0
				\end{cases}
			\end{equation*}
			donde $s_i$ son \textit{slack variables}.
			
			\item Resolución por Newton y gradiente conjugado.
		\end{itemize}
	\end{block}
\end{frame}